Index: data/branches/presentation/scripts/hangar.lua
===================================================================
--- data/branches/presentation/scripts/hangar.lua	(revision 4083)
+++ data/branches/presentation/scripts/hangar.lua	(revision 4100)
@@ -5,4 +5,5 @@
 thisscript:addObject("SpaceShip", "spaceship")
 thisscript:addObject("GenericNPC", "mechanic")
+thisscript:addObject("GenericNPC", "mechanic2")
 
 -- Global Variables
@@ -40,8 +41,8 @@
 
 
-programRoute = true
+mprogramRoute = true
 mheight = 5
 function mechanicMove(timestep)
-if programRoute then
+if mprogramRoute then
 
 mechanic:walkTo( 991.192261, mheight, -1878.394287)
@@ -112,13 +113,93 @@
 mechanic:walkTo( 1019.079651, mheight, -1878.196777)
 
-programRoute = false
+mprogramRoute = false
 end
 
 if mechanic:finalGoalReached() then
-programRoute = true
-end
-
-end
-
+mprogramRoute = true
+end
+
+end
+
+mtprogramRoute = true
+mtheight = 5
+waittime = 0
+waiting = false
+function mechanictMove(timestep)
+if mtprogramRoute then
+mechanic2:walkTo( 1564.473999, mtheight, -1923.821533)
+mechanic2:walkTo( 1556.049927, mtheight, -1916.359009)
+mechanic2:walkTo( 1550.970581, mtheight, -1913.087524)
+mechanic2:walkTo( 1542.345459, mtheight, -1912.611938)
+mechanic2:walkTo( 1534.643677, mtheight, -1912.361816)
+mechanic2:walkTo( 1524.490845, mtheight, -1912.074097)
+mechanic2:walkTo( 1516.120605, mtheight, -1912.511475)
+mechanic2:walkTo( 1508.607788, mtheight, -1912.904175)
+mechanic2:walkTo( 1498.452759, mtheight, -1913.434814)
+mechanic2:walkTo( 1492.513916, mtheight, -1913.744995)
+mechanic2:walkTo( 1483.056274, mtheight, -1914.239136)
+mechanic2:walkTo( 1471.428711, mtheight, -1916.435303)
+mechanic2:walkTo( 1460.068359, mtheight, -1916.473022)
+mechanic2:walkTo( 1451.006592, mtheight, -1913.691772)
+mechanic2:walkTo( 1444.585938, mtheight, -1911.533691)
+mechanic2:walkTo( 1439.008423, mtheight, -1909.659058)
+mechanic2:walkTo( 1421.636230, mtheight, -1915.466553)
+mechanic2:walkTo( 1420.582275, mtheight, -1926.693970)
+mechanic2:walkTo( 1422.506714, mtheight, -1934.938232)
+mechanic2:walkTo( 1430.749023, mtheight, -1942.431519)
+mechanic2:walkTo( 1440.773315, mtheight, -1948.152832)
+mechanic2:walkTo( 1452.532227, mtheight, -1950.169800)
+mechanic2:walkTo( 1465.584961, mtheight, -1949.407959)
+mechanic2:walkTo( 1475.635254, mtheight, -1948.756226)
+mechanic2:walkTo( 1481.961548, mtheight, -1948.346069)
+mechanic2:walkTo( 1495.564575, mtheight, -1947.588257)
+mechanic2:walkTo( 1505.660156, mtheight, -1947.679077)
+mechanic2:walkTo( 1514.055542, mtheight, -1947.901245)
+mechanic2:walkTo( 1523.532959, mtheight, -1948.351440)
+mechanic2:walkTo( 1537.855347, mtheight, -1949.461914)
+mechanic2:walkTo( 1545.510498, mtheight, -1950.162720)
+mechanic2:walkTo( 1553.132935, mtheight, -1950.860718)
+mechanic2:walkTo( 1556.371460, mtheight, -1951.157104)
+mechanic2:walkTo( 1563.450806, mtheight, -1951.804932)
+mechanic2:walkTo( 1572.594116, mtheight, -1952.320679)
+mechanic2:walkTo( 1582.691772, mtheight, -1950.470459)
+mechanic2:walkTo( 1589.872681, mtheight, -1929.683105)
+mechanic2:walkTo( 1587.794922, mtheight, -1922.749756)
+mechanic2:walkTo( 1582.800171, mtheight, -1917.671021)
+mechanic2:walkTo( 1573.449951, mtheight, -1915.750854)
+mechanic2:walkTo( 1564.055908, mtheight, -1914.986328)
+mtprogramRoute = false
+end
+
+mechanic2X = mechanic2:getAbsCoorX()
+mechanic2Y = mechanic2:getAbsCoorY()
+mechanic2Z = mechanic2:getAbsCoorZ()
+
+if dist(mechanic2X,mechanic2Y,mechanic2Z,1435.444824, mtheight, -1916.463013) < 10 and not waiting then
+mechanic2:stop()
+waittime = 5
+--io.write("mechanic2 stoped \n")
+waiting = true
+end
+
+if waittime >= 0 and waiting then
+waittime = waittime - timestep
+--io.write(waittime,"\n")
+if waittime < 0 then
+--io.write("mechanic2 finished waiting\n")
+mechanic2:resume()
+end
+end
+
+if dist(mechanic2X,mechanic2Y,mechanic2Z,1564.473999, mtheight, -1923.821533) < 10 and waiting then
+waiting = false
+end
+
+
+if mechanic2:finalGoalReached() then
+mtprogramRoute = true
+end
+
+end
 
 
@@ -156,5 +237,5 @@
 if not spaceShipReleased then
 --spaceshipclaw:playAnimation(1,1)
-io.write("release spaceship\n")
+--io.write("release spaceship\n")
 spaceShipReleased = true
 playerEnteredSpaceShip = true
@@ -226,4 +307,5 @@
 observePlayer()
 mechanicMove(timestep)
+mechanictMove(timestep)
 
 if playerReachedTrigger and not spaceshipLaunchReady then
